(function (Drupal, once) {

  "use strict";

  Drupal.behaviors.klaroEditor = {
    attach: function (context) {
      var initEditor = function () {
        once('textarea', '[data-klaro-editor]', context).forEach(function (textarea) {
          var editDiv = document.createElement('div');
          textarea.classList.add('visually-hidden');
          textarea.parentNode.insertBefore(editDiv, textarea);
          editDiv.style.fontSize = 18;

          // Init ace editor.
          ace.config.set('basePath', 'https://cdnjs.cloudflare.com/ajax/libs/ace/1.4.11/');
          var editor = ace.edit(editDiv);
          editor.session.setValue(textarea.value);
          editor.session.setMode("ace/mode/json");
          editor.session.setTabSize(2);
          editor.setTheme('ace/theme/chrome');
          editor.setOptions({
            minLines: 3,
            maxLines: 20
          });

          // Update Drupal textarea value.
          editor.getSession().on('change', function () {
            textarea.value = editor.getSession().getValue();
          });
        });
      };

      // Initialize editor.
      if (typeof ace !== 'undefined') {
        initEditor();
      }
    }
  };

})(Drupal, once);
